{% extends 'base.html' %}

{% block title %}  Sumar Comanda {% endblock title%}

{% block content%}
<section class="py-5">

            <div class="container table-responsive">
                    <h4>Sumar comanda</h4>

                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Produs</th>
                            <th scope="col">Pret</th>
                            <th scope="col">Cantitate</th>
                           <th scope="col">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for order_item in object.items.all  %}
                        <tr>
                            <th scope="row">{{forloop.counter}}</th>
                            <td>{{ order_item.item.title }}</td>

                            {% if order_item.item.discount_price %}
                            <td>{{ order_item.item.discount_price }} Lei</td>
                            {% else %}
                            <td>{{ order_item.item.price }} Lei</td>
                            {% endif %}


                             <td>

                                 <a href="{% url 'frontend:remove_single_item' order_item.item.slug %}"><i class="bi bi-dash-circle mr-2"></i></a>
                                 {{ order_item.quantity }}
                                 <a href="{% url 'frontend:add-to-cart' order_item.item.slug %}"><i class="bi bi-plus-circle  ml-2"></i></a>
                             </td>

                            {% if order_item.item.discount_price %}
                            <td>{{ order_item.total_discount_item_price }} Lei
<!--                            <span class="badge badge-danger ">Redus: {{ order_item.amount_saved|floatformat:2 }}</span>-->
                            </td>
                            {% else %}
                            <td>{{ order_item.total_item_price }} Lei</td>
                            {% endif %}
                        </tr>

                    {% endfor %}

                    {% if object.total_price %}

                     <tr>
                            <td colspan="4"><b>Total comanda</b></td>
                            <td><b>{{ object.total_price }}</b></td>
                        </tr>
                    {% endif %}

                     <tr>
                        <td colspan="4"><a href="{% url 'frontend:shipping-address' %}" class="btn btn-warning float-right">Finalizare comanda</a></td>
                        <td><a href="{% url 'frontend:home' %}" class="btn btn-info float-right mr-2">Continuati cumparaturile</a></td>
                    </tr>


                    </tbody>

                </table>

            </div>
        </section>
        {%endblock%}








